> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a PayIn (Bank Wire)

<Note>
  **Note – Pay-in data retained for 13 months**

  An API call to retrieve a pay-in whose `CreationDate` is older than 13 months may return 404 Not Found.

  For more information, see the <a href="/api-reference/overview/data-availability-periods">Data availability periods</a> article.
</Note>

### Path parameters

<ParamField path="PayInId" type="string" required>
  The unique identifier of the pay-in.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200" defaultOpen>
    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      **Default value:** The unique identifier of the owner of the credited wallet.

      The unique identifier of the user whose wallet is credited.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      Information about the debited funds.

      For a direct bank wire pay-in, the `DebitedFunds` displays placeholder values (currency `XXX` and amount `0`) until the `Status` changes to `SUCCEEDED`.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the fees.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="CreditedFunds" type="object">
      Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

      For a direct bank wire pay-in, the `CreditedFunds` displays placeholder values (currency `XXX` and amount `0`) until the `Status` changes to `SUCCEEDED`.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the credited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Fees" type="object">
      Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

      For a direct bank wire pay-in, the `Fees` displays placeholder values (currency `XXX` and amount `0`) until the `Status` changes to `SUCCEEDED`.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the fees.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the transaction.
    </ResponseField>

    <ResponseField name="ExecutionDate" type="Unix timestamp">
      The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

      The type of the transaction.
    </ResponseField>

    <ResponseField name="Nature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the transaction, providing more information about the context in which the transaction occurred:

      * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
      * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
    </ResponseField>

    <ResponseField name="CreditedWalletId" type="string">
      The unique identifier of the credited wallet.
    </ResponseField>

    <ResponseField name="DebitedWalletId" type="string">
      The unique identifier of the debited wallet.

      In the case of a pay-in, this value is always `null` since there is no debited wallet.
    </ResponseField>

    <ResponseField name="PaymentType" type="string">
      **Returned values:** `CARD`, `DIRECT_DEBIT`, `PREAUTHORIZED`, `BANK_WIRE`

      The type of pay-in.
    </ResponseField>

    <ResponseField name="ExecutionType" type="string">
      **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

      The type of execution for the pay-in.
    </ResponseField>

    <ResponseField name="DeclaredDebitedFunds" type="object">
      Information about the declared funds to be wired by the end user to the returned bank account.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="DeclaredFees" type="object">
      Information about the fees to be taken by the platform for this transaction (and hence transferred to the Fees Wallet).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the fees.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="WireReference" type="string">
      Max. length: 255 characters

      The reference which the end user must provide when making the bank wire. The `WireReference` is used to reconcile the funds that arrive on the bank account with the `DeclaredDebitedFunds` in the Direct Bank Wire PayIn object.

      **Caution:** This reference is specific to each payment and must be retrieved dynamically.
    </ResponseField>

    <ResponseField name="BankAccount" type="object">
      Information about the bank account to which the bank wire must be made by the end user.

      **Caution:** Do not hardcode the returned values. Mangopay may change the underlying bank details without prior notice.

      <Expandable title="properties">
        <ResponseField name="OwnerAddress" type="object">
          Information about the address of residence of the bank account owner.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="Type" type="string">
          **Returned values:** `IBAN`, `US`, `CA`, `GB`, `OTHER`

          The type of the bank account.
        </ResponseField>

        <ResponseField name="OwnerName" type="string">
          Max. length: 255 characters

          The full name of the owner of the bank account.
        </ResponseField>

        <ResponseField name="IBAN" type="string">
          The IBAN (international bank account number) for the bank account.
        </ResponseField>

        <ResponseField name="BIC" type="string">
          The BIC (international identifier of the bank) for the bank account.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="TransactionDetails" type="array (object)">
      Information received from banking partners for the transaction, based on the cash management (Camt) messages of ISO 20022.

      This information is only returned when the pay-in `Status` becomes `SUCCEEDED`.

      If data is not available then an empty array, `null`, or nulled fields are returned.

      If multiple wire payments are received for a single pay-in, then multiple objects are returned.

      <Expandable title="properties">
        <ResponseField name="BankTransactionDomainCode" type="string">
          Max. length: 50 characters

          The bank transaction domain code (e.g. PMNT).
        </ResponseField>

        <ResponseField name="BankTransactionDomainFamilyCode" type="string">
          Max. length: 50 characters

          The bank transaction domain family code (e.g. ICDT).
        </ResponseField>

        <ResponseField name="BankTransactionDomainSubFamilyCode" type="string">
          Max. length: 50 characters

          The domain sub-family code (e.g. ACDT).
        </ResponseField>

        <ResponseField name="References" type="array (object)">
          References for the transaction. If multiple references are available, multiple objects are returned.

          <Expandable title="properties">
            <ResponseField name="Type" type="string">
              Max. length: 50 characters

              The type of the reference.
            </ResponseField>

            <ResponseField name="Value" type="string">
              Max. length: 100 characters

              The value of the reference.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="DebtorName" type="string">
          Max. length: 100 characters

          The name of the debtor (i.e. the registered owner of the account that was debited).
        </ResponseField>

        <ResponseField name="DebtorAccount" type="string">
          Max. length: 50 characters

          The account identifier of the debtor (e.g. the account number).
        </ResponseField>

        <ResponseField name="DebtorAgent" type="string">
          Max. length: 50 characters

          The agent of the debtor (e.g. the BIC or bank code).
        </ResponseField>

        <ResponseField name="DebtorAddressLine1" type="string">
          Max. length: 500 characters

          The first line of the debtor’s address.
        </ResponseField>

        <ResponseField name="DebtorAddressLine2" type="string">
          Max. length: 500 characters

          The second line of the debtor’s address.
        </ResponseField>

        <ResponseField name="DebtorAddressLine3" type="string">
          Max. length: 500 characters

          The third line of the debtor’s address.
        </ResponseField>

        <ResponseField name="RemittanceInformationLine1" type="string">
          Max. length: 1,000 characters

          Remittance information for the transaction.
        </ResponseField>

        <ResponseField name="RemittanceInformationLine2" type="string">
          Max. length: 1,000 characters

          Remittance information for the transaction.
        </ResponseField>

        <ResponseField name="RemittanceInformationLine3" type="string">
          Max. length: 1,000 characters

          Remittance information for the transaction.
        </ResponseField>

        <ResponseField name="RemittanceInformationLine4" type="string">
          Max. length: 1,000 characters

          Remittance information for the transaction.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 - SUCCEEDED   theme={null}
  {
      "Id": "payin_m_01JFAJSSR3VW3SHX2X74C8GW82",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1734448310,
      "ResultCode": null,
      "ResultMessage": null,
      "AuthorId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
      "CreditedUserId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 62789
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 54963
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 7826
      },
      "Status": "CREATED",
      "ExecutionDate": null,
      "Type": "PAYIN",
      "Nature": "REGULAR",
      "CreditedWalletId": "wlt_m_01JFAJS7838A32W7KPJ7NNGJ1D",
      "DebitedWalletId": null,
      "PaymentType": "BANK_WIRE",
      "ExecutionType": "DIRECT",
      "DeclaredDebitedFunds": {
          "Currency": "EUR",
          "Amount": 62789
      },
      "DeclaredFees": {
          "Currency": "EUR",
          "Amount": 7826
      },
      "WireReference": "MGgq1y8jjb",
      "BankAccount": {
          "OwnerAddress": {
              "AddressLine1": "2 Avenue Amélie",
              "AddressLine2": null,
              "City": "Luxembourg",
              "Region": null,
              "PostalCode": "L-1125",
              "Country": "LU"
          },
          "Type": "IBAN",
          "OwnerName": "MANGOPAY SA",
          "IBAN": "FR7630056009271234567890182",
          "BIC": "CCFRFRPPXXX"
      },
      "TransactionDetails": [
          {
              "BankTransactionDomainCode": "PMNT",
              "BankTransactionDomainFamilyCode": "RCDT",
              "BankTransactionDomainSubFamilyCode": null,
              "References": [
                  {
                      "Type": "EndToEndId",
                      "Value": "AAB.123.EU.ABC-00012345"
                  }
              ],
              "DebtorName": "Example Business Services GmbH",
              "DebtorAccount": "DE95500400007892074911",
              "DebtorAgent": "COBADEFFXXX",
              "DebtorAddressLine1": null,
              "DebtorAddressLine2": null,
              "DebtorAddressLine3": null,
              "RemittanceInformationLine1": "MG12AB34CD",
              "RemittanceInformationLine2": "/SABF/9URQ",
              "RemittanceInformationLine3": null,
              "RemittanceInformationLine4": null
          }
      ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';

      $response = $api->PayIns->Get($payinId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
      clientId: 'your-client-id',
      clientApiKey: 'your-api-key',
  })

  let myPayIn = {
    Id: '156279887',
  }

  const viewPayIn = async (payinId) => {
    return await mangopay.PayIns.get(payinId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  viewPayIn(myPayIn.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewPayIn(payinId)
      begin
          response = MangoPay::PayIn.fetch(payinId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch PayIn: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myPayIn = {
      Id: '156279887'
  }

  viewPayIn(myPayIn[:Id])  
  ```

  ```java Java theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.PayIn;

  public class ViewPayIn {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          PayIn payin = mangopay.getPayInApi().get("your-payin-id");

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(payin);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import PayIn

  payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'

  try:
      view_payin = PayIn.get(payin_id)
      pprint(view_payin._data)
  except PayIn.DoesNotExist:
      print('PayIn {} does not exist.'.format(payin_id))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities.PUT;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var viewPayIn =  await api.PayIns.GetBankWireDirectAsync("payin_m_01J3CZ2Y7V37TRNMD55AAA2J2A");

          string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
